
_LCD_isBusy:

;MyLCD8Bits.mbas,48 :: 		Sub Procedure LCD_isBusy()
;MyLCD8Bits.mbas,49 :: 		TRISB.7 = 1
	BSF        TRISB+0, 7
;MyLCD8Bits.mbas,50 :: 		LCD_RS = 0
	BCF        PORTA+0, 0
;MyLCD8Bits.mbas,51 :: 		LCD_RW = 1
	BSF        PORTA+0, 2
;MyLCD8Bits.mbas,52 :: 		LCD_E = 1
	BSF        PORTA+0, 1
;MyLCD8Bits.mbas,53 :: 		Delay_ms(5)
	MOVLW      2
	MOVWF      R12+0
	MOVLW      158
	MOVWF      R13+0
L__LCD_isBusy1:
	DECFSZ     R13+0, 1
	GOTO       L__LCD_isBusy1
	DECFSZ     R12+0, 1
	GOTO       L__LCD_isBusy1
	NOP
;MyLCD8Bits.mbas,54 :: 		while true
L__LCD_isBusy3:
;MyLCD8Bits.mbas,55 :: 		if PORTB.7 = 0 then
	BTFSC      PORTB+0, 7
	GOTO       L__LCD_isBusy8
;MyLCD8Bits.mbas,56 :: 		Break
	GOTO       L__LCD_isBusy4
L__LCD_isBusy8:
;MyLCD8Bits.mbas,58 :: 		wend
	GOTO       L__LCD_isBusy3
L__LCD_isBusy4:
;MyLCD8Bits.mbas,59 :: 		Delay_ms(5)
	MOVLW      2
	MOVWF      R12+0
	MOVLW      158
	MOVWF      R13+0
L__LCD_isBusy10:
	DECFSZ     R13+0, 1
	GOTO       L__LCD_isBusy10
	DECFSZ     R12+0, 1
	GOTO       L__LCD_isBusy10
	NOP
;MyLCD8Bits.mbas,60 :: 		LCD_E = 0
	BCF        PORTA+0, 1
;MyLCD8Bits.mbas,61 :: 		LCD_RW = 0
	BCF        PORTA+0, 2
;MyLCD8Bits.mbas,62 :: 		TRISB.7 = 0
	BCF        TRISB+0, 7
;MyLCD8Bits.mbas,63 :: 		end sub
L_end_LCD_isBusy:
	RETURN
; end of _LCD_isBusy

_LCD_cmd:

;MyLCD8Bits.mbas,65 :: 		Sub Procedure LCD_cmd(dim cmd as word)
;MyLCD8Bits.mbas,67 :: 		LCD_RS = 0
	BCF        PORTA+0, 0
;MyLCD8Bits.mbas,68 :: 		LCD_RW = 0
	BCF        PORTA+0, 2
;MyLCD8Bits.mbas,69 :: 		LCD_E = 1
	BSF        PORTA+0, 1
;MyLCD8Bits.mbas,70 :: 		Delay_ms(5)
	MOVLW      2
	MOVWF      R12+0
	MOVLW      158
	MOVWF      R13+0
L__LCD_cmd12:
	DECFSZ     R13+0, 1
	GOTO       L__LCD_cmd12
	DECFSZ     R12+0, 1
	GOTO       L__LCD_cmd12
	NOP
;MyLCD8Bits.mbas,71 :: 		Line_Data = cmd
	MOVF       FARG_LCD_cmd_cmd+0, 0
	MOVWF      PORTB+0
;MyLCD8Bits.mbas,72 :: 		Delay_ms(5)
	MOVLW      2
	MOVWF      R12+0
	MOVLW      158
	MOVWF      R13+0
L__LCD_cmd13:
	DECFSZ     R13+0, 1
	GOTO       L__LCD_cmd13
	DECFSZ     R12+0, 1
	GOTO       L__LCD_cmd13
	NOP
;MyLCD8Bits.mbas,73 :: 		LCD_E = 0
	BCF        PORTA+0, 1
;MyLCD8Bits.mbas,74 :: 		Delay_ms(5)
	MOVLW      2
	MOVWF      R12+0
	MOVLW      158
	MOVWF      R13+0
L__LCD_cmd14:
	DECFSZ     R13+0, 1
	GOTO       L__LCD_cmd14
	DECFSZ     R12+0, 1
	GOTO       L__LCD_cmd14
	NOP
;MyLCD8Bits.mbas,75 :: 		end sub
L_end_LCD_cmd:
	RETURN
; end of _LCD_cmd

_LCD_init:

;MyLCD8Bits.mbas,77 :: 		Sub Procedure LCD_init()
;MyLCD8Bits.mbas,78 :: 		portA = 0
	CLRF       PORTA+0
;MyLCD8Bits.mbas,79 :: 		trisA = 0
	CLRF       TRISA+0
;MyLCD8Bits.mbas,80 :: 		portB = 0
	CLRF       PORTB+0
;MyLCD8Bits.mbas,81 :: 		trisB = 0
	CLRF       TRISB+0
;MyLCD8Bits.mbas,82 :: 		Delay_ms(300)
	MOVLW      98
	MOVWF      R12+0
	MOVLW      101
	MOVWF      R13+0
L__LCD_init16:
	DECFSZ     R13+0, 1
	GOTO       L__LCD_init16
	DECFSZ     R12+0, 1
	GOTO       L__LCD_init16
	NOP
	NOP
;MyLCD8Bits.mbas,83 :: 		LCD_cmd(_8bitOn_2_58font)
	MOVLW      56
	MOVWF      FARG_LCD_cmd_cmd+0
	CLRF       FARG_LCD_cmd_cmd+1
	CALL       _LCD_cmd+0
;MyLCD8Bits.mbas,84 :: 		LCD_cmd(LcdOn_CursorOn_BlinkOn)
	MOVLW      15
	MOVWF      FARG_LCD_cmd_cmd+0
	CLRF       FARG_LCD_cmd_cmd+1
	CALL       _LCD_cmd+0
;MyLCD8Bits.mbas,85 :: 		LCD_cmd(Cursor_Pos_Home)
	MOVLW      3
	MOVWF      FARG_LCD_cmd_cmd+0
	CLRF       FARG_LCD_cmd_cmd+1
	CALL       _LCD_cmd+0
;MyLCD8Bits.mbas,86 :: 		End sub
L_end_LCD_init:
	RETURN
; end of _LCD_init

_SendTXT_Lcd:

;MyLCD8Bits.mbas,91 :: 		dim counter as byte
;MyLCD8Bits.mbas,92 :: 		s =  AString
	MOVLW      SendTXT_Lcd_s+0
	MOVWF      FSR
	MOVF       FARG_SendTXT_Lcd_AString+0, 0
	MOVWF      R1+0
	CALL       ___CS2S+0
	CLRF       INDF+0
;MyLCD8Bits.mbas,93 :: 		len = Length(AString)
	MOVF       FARG_SendTXT_Lcd_AString+0, 0
	MOVWF      FARG_Length_Text+0
	CALL       _Length+0
	MOVF       R0+0, 0
	MOVWF      SendTXT_Lcd_len+0
;MyLCD8Bits.mbas,94 :: 		counter = 0
	CLRF       SendTXT_Lcd_counter+0
;MyLCD8Bits.mbas,96 :: 		LCD_RS = 0
	BCF        PORTA+0, 0
;MyLCD8Bits.mbas,97 :: 		LCD_RW = 0
	BCF        PORTA+0, 2
;MyLCD8Bits.mbas,98 :: 		Delay_ms(5)
	MOVLW      2
	MOVWF      R12+0
	MOVLW      158
	MOVWF      R13+0
L__SendTXT_Lcd18:
	DECFSZ     R13+0, 1
	GOTO       L__SendTXT_Lcd18
	DECFSZ     R12+0, 1
	GOTO       L__SendTXT_Lcd18
	NOP
;MyLCD8Bits.mbas,99 :: 		if LineLCD = 1 then
	MOVF       FARG_SendTXT_Lcd_LineLCD+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__SendTXT_Lcd20
;MyLCD8Bits.mbas,100 :: 		LCD_E = 1
	BSF        PORTA+0, 1
;MyLCD8Bits.mbas,101 :: 		Line_Data = LCD_LINE1
	MOVLW      128
	MOVWF      PORTB+0
;MyLCD8Bits.mbas,102 :: 		LCD_E = 0
	BCF        PORTA+0, 1
L__SendTXT_Lcd20:
;MyLCD8Bits.mbas,104 :: 		if LineLCD = 2 then
	MOVF       FARG_SendTXT_Lcd_LineLCD+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__SendTXT_Lcd23
;MyLCD8Bits.mbas,105 :: 		LCD_E = 1
	BSF        PORTA+0, 1
;MyLCD8Bits.mbas,106 :: 		Line_Data = LCD_LINE2
	MOVLW      192
	MOVWF      PORTB+0
;MyLCD8Bits.mbas,107 :: 		LCD_E = 0
	BCF        PORTA+0, 1
L__SendTXT_Lcd23:
;MyLCD8Bits.mbas,109 :: 		if LineLCD = 3 then
	MOVF       FARG_SendTXT_Lcd_LineLCD+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__SendTXT_Lcd26
;MyLCD8Bits.mbas,110 :: 		LCD_E = 1
	BSF        PORTA+0, 1
;MyLCD8Bits.mbas,111 :: 		Line_Data = LCD_LINE3
	MOVLW      148
	MOVWF      PORTB+0
;MyLCD8Bits.mbas,112 :: 		LCD_E = 0
	BCF        PORTA+0, 1
L__SendTXT_Lcd26:
;MyLCD8Bits.mbas,114 :: 		if LineLCD = 4 then
	MOVF       FARG_SendTXT_Lcd_LineLCD+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__SendTXT_Lcd29
;MyLCD8Bits.mbas,115 :: 		LCD_E = 1
	BSF        PORTA+0, 1
;MyLCD8Bits.mbas,116 :: 		Line_Data = LCD_LINE4
	MOVLW      212
	MOVWF      PORTB+0
;MyLCD8Bits.mbas,117 :: 		LCD_E = 0
	BCF        PORTA+0, 1
L__SendTXT_Lcd29:
;MyLCD8Bits.mbas,119 :: 		LCD_RS = 1
	BSF        PORTA+0, 0
;MyLCD8Bits.mbas,120 :: 		while true
L__SendTXT_Lcd32:
;MyLCD8Bits.mbas,121 :: 		if counter <= len then
	MOVF       SendTXT_Lcd_counter+0, 0
	SUBWF      SendTXT_Lcd_len+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L__SendTXT_Lcd37
;MyLCD8Bits.mbas,122 :: 		LCD_E = 1
	BSF        PORTA+0, 1
;MyLCD8Bits.mbas,123 :: 		Line_Data = Ord(s[counter])
	MOVLW      SendTXT_Lcd_s+0
	MOVWF      R0+0
	MOVF       SendTXT_Lcd_counter+0, 0
	ADDWF      R0+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      PORTB+0
;MyLCD8Bits.mbas,124 :: 		LCD_E = 0
	BCF        PORTA+0, 1
L__SendTXT_Lcd37:
;MyLCD8Bits.mbas,126 :: 		counter = counter + 1
	INCF       SendTXT_Lcd_counter+0, 1
;MyLCD8Bits.mbas,127 :: 		if counter = len then
	MOVF       SendTXT_Lcd_counter+0, 0
	XORWF      SendTXT_Lcd_len+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__SendTXT_Lcd40
;MyLCD8Bits.mbas,128 :: 		Break
	GOTO       L__SendTXT_Lcd33
L__SendTXT_Lcd40:
;MyLCD8Bits.mbas,130 :: 		wend
	GOTO       L__SendTXT_Lcd32
L__SendTXT_Lcd33:
;MyLCD8Bits.mbas,131 :: 		end sub
L_end_SendTXT_Lcd:
	RETURN
; end of _SendTXT_Lcd

_InitTimer0:

;MyLCD8Bits.mbas,133 :: 		sub procedure InitTimer0()
;MyLCD8Bits.mbas,134 :: 		OPTION_REG  = 0x82
	MOVLW      130
	MOVWF      OPTION_REG+0
;MyLCD8Bits.mbas,135 :: 		TMR0 = 6
	MOVLW      6
	MOVWF      TMR0+0
;MyLCD8Bits.mbas,136 :: 		INTCON = 0xA0
	MOVLW      160
	MOVWF      INTCON+0
;MyLCD8Bits.mbas,137 :: 		end sub
L_end_InitTimer0:
	RETURN
; end of _InitTimer0

_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;MyLCD8Bits.mbas,139 :: 		sub procedure Interrupt()
;MyLCD8Bits.mbas,140 :: 		if (TMR0IF_bit) then
	BTFSS      TMR0IF_bit+0, BitPos(TMR0IF_bit+0)
	GOTO       L__Interrupt45
;MyLCD8Bits.mbas,141 :: 		TMR0IF_bit = 0
	BCF        TMR0IF_bit+0, BitPos(TMR0IF_bit+0)
;MyLCD8Bits.mbas,142 :: 		TMR0 = 6
	MOVLW      6
	MOVWF      TMR0+0
L__Interrupt45:
;MyLCD8Bits.mbas,145 :: 		end sub
L_end_Interrupt:
L__Interrupt56:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _Interrupt

_MainInit:

;MyLCD8Bits.mbas,147 :: 		sub procedure MainInit()
;MyLCD8Bits.mbas,148 :: 		InitTimer0()
	CALL       _InitTimer0+0
;MyLCD8Bits.mbas,149 :: 		LCD_init()
	CALL       _LCD_init+0
;MyLCD8Bits.mbas,150 :: 		end sub
L_end_MainInit:
	RETURN
; end of _MainInit

_main:

;MyLCD8Bits.mbas,152 :: 		main:
;MyLCD8Bits.mbas,154 :: 		MainInit()
	CALL       _MainInit+0
;MyLCD8Bits.mbas,155 :: 		Delay_ms(200)
	MOVLW      65
	MOVWF      R12+0
	MOVLW      238
	MOVWF      R13+0
L__main49:
	DECFSZ     R13+0, 1
	GOTO       L__main49
	DECFSZ     R12+0, 1
	GOTO       L__main49
	NOP
;MyLCD8Bits.mbas,156 :: 		SendTXT_Lcd (1,"line1")
	MOVLW      1
	MOVWF      FARG_SendTXT_Lcd_LineLCD+0
	MOVLW      108
	MOVWF      ?LocalText_main+0
	MOVLW      105
	MOVWF      ?LocalText_main+1
	MOVLW      110
	MOVWF      ?LocalText_main+2
	MOVLW      101
	MOVWF      ?LocalText_main+3
	MOVLW      49
	MOVWF      ?LocalText_main+4
	CLRF       ?LocalText_main+5
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_SendTXT_Lcd_AString+0
	CALL       _SendTXT_Lcd+0
;MyLCD8Bits.mbas,157 :: 		SendTXT_Lcd (2,"line2")
	MOVLW      2
	MOVWF      FARG_SendTXT_Lcd_LineLCD+0
	MOVLW      108
	MOVWF      ?LocalText_main+0
	MOVLW      105
	MOVWF      ?LocalText_main+1
	MOVLW      110
	MOVWF      ?LocalText_main+2
	MOVLW      101
	MOVWF      ?LocalText_main+3
	MOVLW      50
	MOVWF      ?LocalText_main+4
	CLRF       ?LocalText_main+5
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_SendTXT_Lcd_AString+0
	CALL       _SendTXT_Lcd+0
;MyLCD8Bits.mbas,158 :: 		SendTXT_Lcd (3,"line3")
	MOVLW      3
	MOVWF      FARG_SendTXT_Lcd_LineLCD+0
	MOVLW      108
	MOVWF      ?LocalText_main+0
	MOVLW      105
	MOVWF      ?LocalText_main+1
	MOVLW      110
	MOVWF      ?LocalText_main+2
	MOVLW      101
	MOVWF      ?LocalText_main+3
	MOVLW      51
	MOVWF      ?LocalText_main+4
	CLRF       ?LocalText_main+5
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_SendTXT_Lcd_AString+0
	CALL       _SendTXT_Lcd+0
;MyLCD8Bits.mbas,159 :: 		SendTXT_Lcd (4,"line4")
	MOVLW      4
	MOVWF      FARG_SendTXT_Lcd_LineLCD+0
	MOVLW      108
	MOVWF      ?LocalText_main+0
	MOVLW      105
	MOVWF      ?LocalText_main+1
	MOVLW      110
	MOVWF      ?LocalText_main+2
	MOVLW      101
	MOVWF      ?LocalText_main+3
	MOVLW      52
	MOVWF      ?LocalText_main+4
	CLRF       ?LocalText_main+5
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_SendTXT_Lcd_AString+0
	CALL       _SendTXT_Lcd+0
L_end_main:
	GOTO       $+0
; end of _main
